#ifndef WIZ1_H
#define WIZ1_H

#include <QtGui>
#include <QtCore>
#include "ui_page1.h"
enum{pageUn,pageDeux,pageFinale};
class wiz1 : public QWizard , public Ui::WizardPage1
{
  Q_OBJECT
  public :
  
  wiz1();
  ~wiz1();
/*  signals :
  void Finished(){
  QList<int> list = visitedPages();
  if(list.size() < 3){
    
  }
  else{
    accept();
  }
}*/


};

class page1 : public QWizardPage , public Ui::WizardPage1
{
  Q_OBJECT
  public :
  page1();
  ~page1();
};

class page2 : public QWizardPage , public Ui::WizardPage1
{
  Q_OBJECT
  public :
  page2();
  ~page2();
  QDirModel *m_model;
  QTreeView *m_tree;
  private :
  bool remplirPointIni();
  private slots :
  void choixMedintux(const QModelIndex&);
  void installCompta();
  void instalTables();
  
};

class pageFin : public QWizardPage , public Ui::WizardPage1
{
  Q_OBJECT
  public :
  pageFin();
  ~pageFin();
  QString texte;
  QString texteHtml;
  QPushButton *test;
  protected slots :
  void resultat();
  
  
};

#endif
